<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_cumsum.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_cumsum" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_cumsum</refname>
    <refpurpose>Cumulative sum while skiping NaN's.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = nan_cumsum(x,DIM)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>DIM:</term>
      <listitem><para>    dimension</para></listitem></varlistentry>
   <varlistentry><term>default or []:</term>
      <listitem><para> first DIMENSION, with more than 1 element</para></listitem></varlistentry>
   <varlistentry><term>x:</term>
      <listitem><para>  input data</para></listitem></varlistentry>
   <varlistentry><term>y:</term>
      <listitem><para>    resulting sum</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
NaN values are not thown away, but skipped.
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x=[1 2 %nan 5];
cumsum(x)
ans  =

1.    3.    Nan   Nan
cumsum(thrownan(x))
ans  =

1.    3.    8.
nan_cumsum(x)
ans  =

1.    3.    Nan   8.

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2003,2008,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H.  Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
